Agora C++ API Reference for All Platforms

Public Member Functions | Protected Attributes | List of all members
agora::rtc::IRemoteAudioTrackEx Class Referenceabstract

Inherits agora::rtc::IRemoteAudioTrack.

## Public Member Functions
| IRemoteAudioTrackEx ()
virtual | ~IRemoteAudioTrackEx ()
void | NotifyTrackStateChange (uint64_t ts, REMOTE_AUDIO_STATE state, REMOTE_AUDIO_STATE_REASON reason)
virtual void | SetExternalJitterInfo (int32_t audio_jitter95, int32_t video_jitter95, bool receiving_video)=0
RemoteAudioEvents | GetEvents ()
virtual int | GetAudioLevel ()
virtual REMOTE_AUDIO_STATE | getStateLLApiInternal ()=0
virtual bool | getStatisticsLLApiInternal (RemoteAudioTrackStats &stats)=0
virtual int | adjustPlayoutVolumeLLApiInternal (int volume)=0
virtual int | getPlayoutVolumeLLApiInternal (int *volume)=0
virtual int | setPlayoutSignalLoudnessLLApiInternal (float loudness)=0
virtual bool | addAudioFilterLLApiInternal (agora_refptr< IAudioFilter > filter, AudioFilterPosition position, const ExtensionContext &extConetxt={})=0
virtual bool | removeAudioFilterLLApiInternal (agora_refptr< IAudioFilter > filter, AudioFilterPosition position)=0
virtual agora_refptr< IAudioFilter > | getAudioFilterLLApiInternal (const char *name, AudioFilterPosition position) const =0
virtual int | registerMediaPacketReceiverLLApiInternal (IMediaPacketReceiver *packetReceiver)=0
virtual int | unregisterMediaPacketReceiverLLApiInternal (IMediaPacketReceiver *packetReceiver)=0
virtual int | registerAudioEncodedFrameReceiverLLApiInternal (IAudioEncodedFrameReceiver *packetReceiver, const AudioEncFrameRecvParams &recvParams)=0
virtual int | unregisterAudioEncodedFrameReceiverLLApiInternal (IAudioEncodedFrameReceiver *packetReceiver)=0
virtual int | setRemoteVoicePositionLLApiInternal (float pan, float gain)=0
virtual int | adjustAudioAccelerationLLApiInternal (int percentage)=0
virtual int | enableAudioBurstAccelerateLLApiInternal (bool enable)=0
virtual int | adjustAudioDecelerationLLApiInternal (int percentage)=0
virtual int | adjustDecodedAudioVolumeLLApiInternal (int decoded_index, int volume)=0
virtual int | enableSpatialAudioLLApiInternal (bool enabled)=0
virtual bool | addAudioSinkLLApiInternal (agora_refptr< IAudioSinkBase > sink, const AudioSinkWants &wants)=0
virtual bool | removeAudioSinkLLApiInternal (agora_refptr< IAudioSinkBase > sink)=0
virtual int | setRemoteUserSpatialAudioParamsLLApiInternal (const agora::SpatialAudioParams &params)=0
virtual int | enableAudioFilterLLApiInternal (const char *id, bool enable, AudioFilterPosition position)=0
virtual int | setFilterPropertyLLApiInternal (const char *id, const char *key, const char *jsonValue, AudioFilterPosition position)=0
virtual int | getFilterPropertyLLApiInternal (const char *id, const char *key, char *jsonValue, size_t bufSize, AudioFilterPosition position)=0
Public Member Functions inherited from agora::rtc::IRemoteAudioTrack
virtual bool | getStatistics (RemoteAudioTrackStats &stats)=0
virtual REMOTE_AUDIO_STATE | getState ()=0
virtual int | registerMediaPacketReceiver (IMediaPacketReceiver *packetReceiver, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterMediaPacketReceiver (IMediaPacketReceiver *packetReceiver)=0
virtual int | registerAudioEncodedFrameReceiver (IAudioEncodedFrameReceiver *packetReceiver, const AudioEncFrameRecvParams &recvParams, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterAudioEncodedFrameReceiver (IAudioEncodedFrameReceiver *packetReceiver)=0
virtual int | setRemoteVoicePosition (float pan, float gain, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | adjustDecodedAudioVolume (int decoded_index, int volume, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | muteRemoteFromTimestamp (uint32_t timestamp)=0
virtual int | unmuteRemoteFromTimestamp (uint32_t timestamp)=0
virtual int | adjustAudioAcceleration (int percentage, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | adjustAudioDeceleration (int percentage, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | enableAudioBurstAccelerate (bool enable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | enableSpatialAudio (bool enabled, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setRemoteUserSpatialAudioParams (const agora::SpatialAudioParams &params, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::rtc::IAudioTrack
virtual int | adjustPlayoutVolume (int volume, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | getPlayoutVolume (int *volume)=0
virtual bool | addAudioFilter (agora_refptr< IAudioFilter > filter, AudioFilterPosition position, ExtensionContext *extContext=NULL, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | removeAudioFilter (agora_refptr< IAudioFilter > filter, AudioFilterPosition position, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | enableAudioFilter (const char *id, bool enable, AudioFilterPosition position, aosl_ref_t ares=AOSL_REF_INVALID)
virtual int | setFilterProperty (const char *id, const char *key, const char *jsonValue, AudioFilterPosition position, aosl_ref_t ares=AOSL_REF_INVALID)
virtual int | getFilterProperty (const char *id, const char *key, char *jsonValue, size_t bufSize, AudioFilterPosition position)
virtual agora_refptr< IAudioFilter > | getAudioFilter (const char *name, AudioFilterPosition position) const =0
virtual bool | addAudioSink (agora_refptr< IAudioSinkBase > sink, const AudioSinkWants &wants, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | removeAudioSink (agora_refptr< IAudioSinkBase > sink, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Attributes
StateNotifier< REMOTE_AUDIO_STATE, REMOTE_AUDIO_STATE_REASON > | notifier_

## Additional Inherited Members
Public Types inherited from agora::rtc::IAudioTrack
enum | AudioFilterPosition { RecordingLocalPlayback, PostAudioProcessing, RemoteUserPlayback, PcmSource, PcmSourceSending, PcmSourceLocalPlayback, RemoteMixedPlayback }
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ IRemoteAudioTrackEx()

agora::rtc::IRemoteAudioTrackEx::IRemoteAudioTrackEx | ( |  | ) |
| inline

## ◆ ~IRemoteAudioTrackEx()

virtual agora::rtc::IRemoteAudioTrackEx::~IRemoteAudioTrackEx | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ NotifyTrackStateChange()

void agora::rtc::IRemoteAudioTrackEx::NotifyTrackStateChange | ( | uint64_t | ts,
|  | REMOTE_AUDIO_STATE | state,
|  | REMOTE_AUDIO_STATE_REASON | reason
| ) |  |
| inline

## ◆ SetExternalJitterInfo()

virtual void agora::rtc::IRemoteAudioTrackEx::SetExternalJitterInfo | ( | int32_t | audio_jitter95,
|  | int32_t | video_jitter95,
|  | bool | receiving_video
| ) |  |
| pure virtual

## ◆ GetEvents()

RemoteAudioEvents agora::rtc::IRemoteAudioTrackEx::GetEvents | ( |  | ) |
| inline

## ◆ GetAudioLevel()

virtual int agora::rtc::IRemoteAudioTrackEx::GetAudioLevel | ( |  | ) |
| inline virtual

## ◆ getStateLLApiInternal()

virtual REMOTE_AUDIO_STATE agora::rtc::IRemoteAudioTrackEx::getStateLLApiInternal | ( |  | ) |
| pure virtual

## ◆ getStatisticsLLApiInternal()

virtual bool agora::rtc::IRemoteAudioTrackEx::getStatisticsLLApiInternal | ( | RemoteAudioTrackStats & | stats | ) |
| pure virtual

## ◆ adjustPlayoutVolumeLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::adjustPlayoutVolumeLLApiInternal | ( | int | volume | ) |
| pure virtual

## ◆ getPlayoutVolumeLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::getPlayoutVolumeLLApiInternal | ( | int * | volume | ) |
| pure virtual

## ◆ setPlayoutSignalLoudnessLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::setPlayoutSignalLoudnessLLApiInternal | ( | float | loudness | ) |
| pure virtual

## ◆ addAudioFilterLLApiInternal()

virtual bool agora::rtc::IRemoteAudioTrackEx::addAudioFilterLLApiInternal | ( | agora_refptr< IAudioFilter > | filter,
|  | AudioFilterPosition | position,
|  | const ExtensionContext & | extConetxt = `{}`
| ) |  |
| pure virtual

## ◆ removeAudioFilterLLApiInternal()

virtual bool agora::rtc::IRemoteAudioTrackEx::removeAudioFilterLLApiInternal | ( | agora_refptr< IAudioFilter > | filter,
|  | AudioFilterPosition | position
| ) |  |
| pure virtual

## ◆ getAudioFilterLLApiInternal()

virtual agora_refptr<IAudioFilter> agora::rtc::IRemoteAudioTrackEx::getAudioFilterLLApiInternal | ( | const char * | name,
|  | AudioFilterPosition | position
| ) |  | const
| pure virtual

## ◆ registerMediaPacketReceiverLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::registerMediaPacketReceiverLLApiInternal | ( | IMediaPacketReceiver * | packetReceiver | ) |
| pure virtual

## ◆ unregisterMediaPacketReceiverLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::unregisterMediaPacketReceiverLLApiInternal | ( | IMediaPacketReceiver * | packetReceiver | ) |
| pure virtual

## ◆ registerAudioEncodedFrameReceiverLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::registerAudioEncodedFrameReceiverLLApiInternal | ( | IAudioEncodedFrameReceiver * | packetReceiver,
|  | const AudioEncFrameRecvParams & | recvParams
| ) |  |
| pure virtual

## ◆ unregisterAudioEncodedFrameReceiverLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::unregisterAudioEncodedFrameReceiverLLApiInternal | ( | IAudioEncodedFrameReceiver * | packetReceiver | ) |
| pure virtual

## ◆ setRemoteVoicePositionLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::setRemoteVoicePositionLLApiInternal | ( | float | pan,
|  | float | gain
| ) |  |
| pure virtual

## ◆ adjustAudioAccelerationLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::adjustAudioAccelerationLLApiInternal | ( | int | percentage | ) |
| pure virtual

## ◆ enableAudioBurstAccelerateLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::enableAudioBurstAccelerateLLApiInternal | ( | bool | enable | ) |
| pure virtual

## ◆ adjustAudioDecelerationLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::adjustAudioDecelerationLLApiInternal | ( | int | percentage | ) |
| pure virtual

## ◆ adjustDecodedAudioVolumeLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::adjustDecodedAudioVolumeLLApiInternal | ( | int | decoded_index,
|  | int | volume
| ) |  |
| pure virtual

## ◆ enableSpatialAudioLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::enableSpatialAudioLLApiInternal | ( | bool | enabled | ) |
| pure virtual

## ◆ addAudioSinkLLApiInternal()

virtual bool agora::rtc::IRemoteAudioTrackEx::addAudioSinkLLApiInternal | ( | agora_refptr< IAudioSinkBase > | sink,
|  | const AudioSinkWants & | wants
| ) |  |
| pure virtual

## ◆ removeAudioSinkLLApiInternal()

virtual bool agora::rtc::IRemoteAudioTrackEx::removeAudioSinkLLApiInternal | ( | agora_refptr< IAudioSinkBase > | sink | ) |
| pure virtual

## ◆ setRemoteUserSpatialAudioParamsLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::setRemoteUserSpatialAudioParamsLLApiInternal | ( | const agora::SpatialAudioParams & | params | ) |
| pure virtual

## ◆ enableAudioFilterLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::enableAudioFilterLLApiInternal | ( | const char * | id,
|  | bool | enable,
|  | AudioFilterPosition | position
| ) |  |
| pure virtual

## ◆ setFilterPropertyLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::setFilterPropertyLLApiInternal | ( | const char * | id,
|  | const char * | key,
|  | const char * | jsonValue,
|  | AudioFilterPosition | position
| ) |  |
| pure virtual

## ◆ getFilterPropertyLLApiInternal()

virtual int agora::rtc::IRemoteAudioTrackEx::getFilterPropertyLLApiInternal | ( | const char * | id,
|  | const char * | key,
|  | char * | jsonValue,
|  | size_t | bufSize,
|  | AudioFilterPosition | position
| ) |  |
| pure virtual

## Member Data Documentation

## ◆ notifier_

StateNotifier<REMOTE_AUDIO_STATE, REMOTE_AUDIO_STATE_REASON> agora::rtc::IRemoteAudioTrackEx::notifier_
| protected